From 656cc1f631471cd78245b4d7600674b18c788521 Mon Sep 17 00:00:00 2001
From: Paul Wise <pabs@debian.org>
Date: Fri, 7 Apr 2017 08:19:59 +0800
Subject: [PATCH 2/2] Support seconds, minutes, hours and days for
 APT::Periodic intervals

---
 debian/apt.systemd.daily | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

diff --git a/debian/apt.systemd.daily b/debian/apt.systemd.daily
index 5e9ee4a2d..59fe4d8a5 100755
--- a/debian/apt.systemd.daily
+++ b/debian/apt.systemd.daily
@@ -118,8 +118,20 @@ check_stamp()
 
     delta=$(($now-$stamp))
 
-    # interval is in days, convert to sec.
-    interval=$(($interval*60*60*24))
+    # Calculate the interval in seconds depending on the unit specified
+    if [ "${interval%s}" != "$interval" ] ; then
+        interval="${interval%s}"
+    elif [ "${interval%m}" != "$interval" ] ; then
+        interval="${interval%m}"
+        interval=$((interval*60))
+    elif [ "${interval%h}" != "$interval" ] ; then
+        interval="${interval%h}"
+        interval=$((interval*60*60))
+    else
+        interval="${interval%d}"
+        interval=$((interval*60*60*24))
+    fi
+
     debug_echo "check_stamp: interval=$interval, now=$now, stamp=$stamp, delta=$delta (sec)"
 
     # remove timestamps a day (or more) in the future and force re-check
-- 
2.11.0

